APG PayAPG Paydocs

Reporting

List report conversations

GET/report-conversations
Request
GEThttps://api.tst.au.apgpay.dev/report-conversations
curl -X GET https://api.tst.au.apgpay.dev/report-conversations \
  -H "Authorization: Bearer $API_KEY"

Return the caller's own conversations with Ask, most recently active first. A single Ask is never listed.

Permissions

Required permission
reports:query

Requires the `query` action on `reports` for the supplied runtime context

Query parameters

limitinteger (int32)

At most this many, 1 to 100; 20 when absent.

startingAfterstring

The nextStartingAfter of the page before.

Responses

The conversations on this page, [] when there are none.

hasMorebooleanrequired

Example true

nextStartingAfterRconvId

Identifier of one of the caller's conversations with Ask.

Example rconv_9f2Kd8QpLzXw

Example response
{
  "data": [
    {
      "reportConversationId": "rconv_9f2Kd8QpLzXw",
      "title": "string",
      "createdAt": "2026-08-19T04:21:07Z",
      "lastActiveAt": "2026-08-19T04:21:07Z"
    }
  ],
  "hasMore": true,
  "nextStartingAfter": "rconv_9f2Kd8QpLzXw"
}

Error responses